> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Task

> Delete a task permanently. Prefer archiving to keep its history.



## OpenAPI

````yaml /openapi-v1.json delete /api/v1/tasks/{task_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/tasks/{task_id}:
    delete:
      tags:
        - Tasks
      summary: Delete Task
      description: Delete a task permanently. Prefer archiving to keep its history.
      operationId: delete_task
      parameters:
        - in: path
          name: task_id
          schema:
            description: Task UUID or identifier such as TASK-12
            title: Task Id
            type: string
          required: true
          description: Task UUID or identifier such as TASK-12
      responses:
        '204':
          description: No Content
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.